var search_data = {"index":{"searchIndex":["mkapos","apos","argument","compute","const","calc_dist()","calc_pos()","calc_t1()","calc_unit_vector()","calc_velocity()","check_bin_path()","compute_moon()","compute_sun()","conv_lorentz()","get_args()","get_binpath()","get_icrs()","get_jd()","get_r_e()","get_utc()","inner_prod()","moon()","new()","new()","new()","sun()","utc2tdb()"],"longSearchIndex":["mkapos","mkapos::apos","mkapos::argument","mkapos::compute","mkapos::const","mkapos::compute#calc_dist()","mkapos::compute#calc_pos()","mkapos::compute#calc_t1()","mkapos::compute#calc_unit_vector()","mkapos::compute#calc_velocity()","mkapos::argument#check_bin_path()","mkapos::compute#compute_moon()","mkapos::compute#compute_sun()","mkapos::compute#conv_lorentz()","mkapos::argument#get_args()","mkapos::argument#get_binpath()","mkapos::compute#get_icrs()","mkapos::compute#get_jd()","mkapos::compute#get_r_e()","mkapos::argument#get_utc()","mkapos::compute#inner_prod()","mkapos::apos#moon()","mkapos::new()","mkapos::apos::new()","mkapos::argument::new()","mkapos::apos#sun()","mkapos::compute#utc2tdb()"],"info":[["MkApos","","MkApos.html","",""],["MkApos::Apos","","MkApos/Apos.html","",""],["MkApos::Argument","","MkApos/Argument.html","",""],["MkApos::Compute","","MkApos/Compute.html","",""],["MkApos::Const","","MkApos/Const.html","",""],["calc_dist","MkApos::Compute","MkApos/Compute.html#method-i-calc_dist","(pos_a, pos_b)","<p>\n\n<pre>天体Aと天体Bの距離計算\n\n@param:   pos_a  (位置ベクトル)\n@param:   pos_a  (位置ベクトル)\n@return:  r      (距離)</pre>\n<p>\n"],["calc_pos","MkApos::Compute","MkApos/Compute.html#method-i-calc_pos","(d, r)","<p>\n\n<pre>単位（方向）ベクトルと距離から位置ベクトルを計算\n\n@param:  d    (単位（方向）ベクトル)\n@param:  r    (距離)\n@return  pos  (位置ベクトル)</pre>\n<p>\n"],["calc_t1","MkApos::Compute","MkApos/Compute.html#method-i-calc_t1","(target, tdb)","<p>\n\n<pre>対象天体が光を発した時刻 t1 の計算（太陽・月専用）\n\n* 計算式： c * (t2 - t1) = r12  (但し、 c: 光の速度。 Newton 法で近似）\n* 太陽・月専用なので、太陽・木星・土星・天王星・海王星の重力場による ...</pre>\n"],["calc_unit_vector","MkApos::Compute","MkApos/Compute.html#method-i-calc_unit_vector","(pos_a, pos_b)","<p>\n\n<pre>天体Aから見た天体Bの方向ベクトル計算（太陽・月専用）\n\n* 太陽・月専用なので、太陽・木星・土星・天王星・海王星の重力場による\n  光の曲がりは非考慮。\n\n@param:   pos_a  (位置ベクトル(天体A)) ...</pre>\n"],["calc_velocity","MkApos::Compute","MkApos/Compute.html#method-i-calc_velocity","(vec)","<p>\n\n<pre>天体の速度ベクトルから実際の速度を計算\n\n@param:   vec  (ベクトル)\n@return:  v    (速度)</pre>\n<p>\n"],["check_bin_path","MkApos::Argument","MkApos/Argument.html#method-i-check_bin_path","(bin_path)",""],["compute_moon","MkApos::Compute","MkApos/Compute.html#method-i-compute_moon","()","<p>\n\n<pre>視黄経・視黄緯の計算（月）\n\n@param:  &lt;none&gt;\n@return: [[視赤経, 視赤緯, 地心距離], [視黄経, 視黄緯, 地心距離], [視半径, 視差]]</pre>\n<p>\n"],["compute_sun","MkApos::Compute","MkApos/Compute.html#method-i-compute_sun","()","<p>\n\n<pre>視黄経・視黄緯の計算（太陽）\n\n@param:  &lt;none&gt;\n@return: [[視赤経, 視赤緯, 地心距離], [視黄経, 視黄緯, 地心距離], [視半径, 視差]]</pre>\n<p>\n"],["conv_lorentz","MkApos::Compute","MkApos/Compute.html#method-i-conv_lorentz","(vec_d)","<p>\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">光行差の補正（方向ベクトルの</span> <span class=\"ruby-constant\">Lorentz</span> <span class=\"ruby-identifier\">変換）</span>\n\n<span class=\"ruby-operator\">*</span> <span class=\"ruby-identifier\">vec_dd</span> = <span class=\"ruby-identifier\">f</span> <span class=\"ruby-operator\">*</span> <span class=\"ruby-identifier\">vec_d</span> <span class=\"ruby-operator\">+</span> (<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-identifier\">g</span> <span class=\"ruby-operator\">/</span> (<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-identifier\">f</span>)) <span class=\"ruby-operator\">*</span> <span class=\"ruby-identifier\">vec_v</span>\n  <span class=\"ruby-identifier\">但し、</span> <span class=\"ruby-identifier\">f</span> = <span class=\"ruby-identifier\">vec_v</span> <span class=\"ruby-operator\">*</span> <span class=\"ruby-identifier\">vec_d</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["get_args","MkApos::Argument","MkApos/Argument.html#method-i-get_args","()","<p>\n\n<pre>引数取得\n\n@return: [BIN_PATH, TARGET, CENTER, JD, KM]</pre>\n<p>\n"],["get_binpath","MkApos::Argument","MkApos/Argument.html#method-i-get_binpath","()",""],["get_icrs","MkApos::Compute","MkApos/Compute.html#method-i-get_icrs","(target, jd)","<p>\n\n<pre>ICRS 座標取得\n\n* JPL DE430 データを自作 RubyGems ライブラリ eph_jpl を使用して取得。\n\n@param:  target  (対象天体(Symbol))\n@param: ...</pre>\n"],["get_jd","MkApos::Compute","MkApos/Compute.html#method-i-get_jd","(t)","<p>\n\n<pre>ユリウス日取得\n\n@param:  t   (Time Object)\n@return: jd  (Julian Day(Numeric))</pre>\n<p>\n"],["get_r_e","MkApos::Compute","MkApos/Compute.html#method-i-get_r_e","()","<p>\n\n<pre>t2(= TDB) における地球と太陽・月の距離\n\n@param:  &lt;none&gt;\n@return: r_e  (地球と太陽・月の距離(Hash))</pre>\n<p>\n"],["get_utc","MkApos::Argument","MkApos/Argument.html#method-i-get_utc","()",""],["inner_prod","MkApos::Compute","MkApos/Compute.html#method-i-inner_prod","(a, b)","<p>\n\n<pre>ベクトルの内積\n\n@param:  a  (ベクトル)\n@param:  b  (ベクトル)\n@return: w  (スカラー(内積の値))</pre>\n<p>\n"],["moon","MkApos::Apos","MkApos/Apos.html#method-i-moon","()","<p>\n\n<pre>MOON\n\n@param:  &lt;none&gt;\n@return: [[lambda, beta, d], [alpha, delta, d], [apparent_radius, parallax]]\n  ...</pre>\n"],["new","MkApos","MkApos.html#method-c-new","(*args)",""],["new","MkApos::Apos","MkApos/Apos.html#method-c-new","(bin_path, utc)",""],["new","MkApos::Argument","MkApos/Argument.html#method-c-new","(*args)",""],["sun","MkApos::Apos","MkApos/Apos.html#method-i-sun","()","<p>\n\n<pre>SUN\n\n@param:  &lt;none&gt;\n@return: [[lambda, beta, d], [alpha, delta, d], [apparent_radius, parallax]]\n   ...</pre>\n"],["utc2tdb","MkApos::Compute","MkApos/Compute.html#method-i-utc2tdb","(utc)","<p>\n\n<pre>UTC -&gt; TDB\n\n@param:  utc  (Time Object)\n@return: tdb  (Time Object)</pre>\n<p>\n"]]}}